
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef hueblob_TCLSERV_CLIENT_MSG_LIB_H
#define hueblob_TCLSERV_CLIENT_MSG_LIB_H

#include <server/hueblobType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int hueblobTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int hueblobTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int hueblobTclservClientDisplayRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 HueBlobBool *(in_display)
		);

int hueblobTclservClientDisplayReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int hueblobTclservClientDisplayRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 HueBlobBool *(in_display) ,
				 
				 int *bilan);




int hueblobTclservClientStopLoopRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int hueblobTclservClientStopLoopReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int hueblobTclservClientStopLoopRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int hueblobTclservClientSetParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 int *(in_threshold)
		);

int hueblobTclservClientSetParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int hueblobTclservClientSetParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 int *(in_threshold) ,
				 
				 int *bilan);




int hueblobTclservClientSetObjectRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 HueBlobObject *(in_object) 
		);

int hueblobTclservClientSetObjectReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int hueblobTclservClientSetObjectRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				HueBlobObject *(in_object) ,
				
				int *bilan);

int hueblobTclservClientSetObjectRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					HueBlobObject *(in_object) ,
					
					int *bilan);




int hueblobTclservClientSetImageRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 HueBlobInput *(in_image) 
		);

int hueblobTclservClientSetImageReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int hueblobTclservClientSetImageRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				HueBlobInput *(in_image) ,
				
				int *bilan);

int hueblobTclservClientSetImageRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					HueBlobInput *(in_image) ,
					
					int *bilan);




int hueblobTclservClientGetBoxRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 HueBlobImageBox *(in_video) 
		);

int hueblobTclservClientGetBoxReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      HueBlobBox *(out_box),
			      int *bilan);


int hueblobTclservClientGetBoxRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				HueBlobImageBox *(in_video) ,
				HueBlobBox *(out_box),
				int *bilan);

int hueblobTclservClientGetBoxRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					HueBlobImageBox *(in_video) ,
					HueBlobBox *(out_box),
					int *bilan);




int hueblobTclservClientGetBoxLoopRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 HueBlobImageBox *(in_video) 
		);

int hueblobTclservClientGetBoxLoopReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      HueBlobBox *(out_box),
			      int *bilan);


int hueblobTclservClientGetBoxLoopRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				HueBlobImageBox *(in_video) ,
				HueBlobBox *(out_box),
				int *bilan);

int hueblobTclservClientGetBoxLoopRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					HueBlobImageBox *(in_video) ,
					HueBlobBox *(out_box),
					int *bilan);




int hueblobTclservClientTrackBlobRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 HueBlobTrackBlob *(in_blob) 
		);

int hueblobTclservClientTrackBlobReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int hueblobTclservClientTrackBlobRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				HueBlobTrackBlob *(in_blob) ,
				
				int *bilan);

int hueblobTclservClientTrackBlobRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					HueBlobTrackBlob *(in_blob) ,
					
					int *bilan);




int hueblobTclservClientTrackChessBoardRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 HueBlobTrackChessboard *(in_chessboard) 
		);

int hueblobTclservClientTrackChessBoardReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int hueblobTclservClientTrackChessBoardRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				HueBlobTrackChessboard *(in_chessboard) ,
				
				int *bilan);

int hueblobTclservClientTrackChessBoardRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					HueBlobTrackChessboard *(in_chessboard) ,
					
					int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* hueblobTCLSERV_CLIENT_MSG_LIB_H */

